RHEL 7 to RHEL 8 LEAPP Upgrade failing due to a conflict with cups/ghostscript packages.

Solution Verified - Updated -

Issue

  • When trying to upgrade from RHEL 7.9 to RHEL 8.6, host is failing due to a conflict with cups/ghostscript packages.

    STDERR:
    The following modules were requested to be enabled, but they are unavailable: ADVANCED-VIRT:latest
    Warning: Package marked by Leapp to install not found in repositories metadata: python3-nss
    Warning: Package marked by Leapp to upgrade not found in repositories metadata: gpg-pubkey leapp leapp-upgrade-el7toel8 python2-leapp
    Transaction check:
    
    Problem: package hplip-3.18.4-9.el8.x86_64 requires cups, but none of the providers can be installed
    - package cups-1:2.2.6-44.el8.x86_64 requires cups-filters, but none of the providers can be installed
    - package cups-1:2.2.6-40.el8.x86_64 requires cups-filters, but none of the providers can be installed
    - package cups-filters-1.20.0-20.el8.x86_64 requires ghostscript, but none of the providers can be installed
    - package cups-filters-1.20.0-14.el8_0.1.x86_64 requires ghostscript, but none of the providers can be installed
    - package ghostscript-9.25-5.el8.x86_64 requires libgs.so.9()(64bit), but none of the providers can be installed
    - package ghostscript-9.25-5.el8_1.1.x86_64 requires libgs.so.9()(64bit), but none of the providers can be installed
    - package libgs-9.25-5.el8_1.1.x86_64 requires adobe-mappings-cmap, but none of the providers can be installed
    - package libgs-9.27-1.el8.x86_64 requires adobe-mappings-cmap, but none of the providers can be installed
    

Environment

  • Red Hat Enterprise Linux 7.9
  • Red Hat Enterprise Linux 8.6
  • Red Hat Satellite 6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content